## ros-eloquent-lgsvl-bridge 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lgsvl_bridge)

if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()

find_package(ament_cmake_auto REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(Boost REQUIRED system)
find_package(rcutils REQUIRED)
find_package(rcl REQUIRED)

ament_auto_find_build_dependencies()

include_directories(${Boost_INCLUDE_DIRS})

add_executable(lgsvl_bridge
  src/bridge.cc
  src/client.cc
  src/clients.cc
  src/node.cc
  src/server.cc
  src/types.cc
)

target_link_libraries(lgsvl_bridge ${Boost_LIBRARIES} ${CMAKE_DL_LIBS})

ament_target_dependencies(lgsvl_bridge rcutils rcl)

install(TARGETS lgsvl_bridge DESTINATION bin)

ament_auto_package()

=== debian/changelog ===
ros-eloquent-lgsvl-bridge (0.2.0-1bionic) bionic; urgency=high

  * Include exec depends for needed message types
    Published by lgsvl simulator
  * Contributors: Ruffin

 -- Martins Mozeiko <martins.mozeiko@lge.com>  Tue, 13 Oct 2020 07:00:00 -0000

ros-eloquent-lgsvl-bridge (0.1.1-1bionic) bionic; urgency=high

  * Initial commit
  * Contributors: Martins Mozeiko

 -- Martins Mozeiko <martins.mozeiko@lge.com>  Wed, 12 Aug 2020 07:00:00 -0000

=== debian/control ===
Source: ros-eloquent-lgsvl-bridge
Section: misc
Priority: optional
Maintainer: Martins Mozeiko <martins.mozeiko@lge.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-eloquent-ament-cmake-auto, ros-eloquent-ament-cmake-ros, ros-eloquent-rcl, ros-eloquent-rcutils, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-lgsvl-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-eloquent-ament-cmake-ros, ros-eloquent-lgsvl-msgs, ros-eloquent-nav-msgs, ros-eloquent-rcl, ros-eloquent-rcutils, ros-eloquent-rosgraph-msgs, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: LGSVL Simulator Bridge

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-lgsvl-bridge//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
